<?php

class Brivium_ContactAutoResponder_ControllerPublic_Misc extends XFCP_Brivium_ContactAutoResponder_ControllerPublic_Misc
{
	public function actionContact()
	{
		$response = parent::actionContact();
		if ($this->_request->isPost())
		{			
			$user = XenForo_Visitor::getInstance()->toArray();

			if (!$user['user_id'])
			{
				$user['email'] = $this->_input->filterSingle('email', XenForo_Input::STRING);
			}

			$input = $this->_input->filter(array(
				'subject' => XenForo_Input::STRING
			));
			
			$options = XenForo_Application::get('options');
			$useAutoResponder = $options->BRCAR_useAutoResponse;
			if($useAutoResponder){
				$boardTitle = $options->boardTitle;
				$message = $options->BRCAR_emailMessage;
   
				$emailTemplate = "BRCAR_contact_auto_responder";
   	
				$mail = XenForo_Mail::create($emailTemplate, array(
    					'boardTitle' => $boardTitle,
					'subject' => $input['subject'],
    					'message' => $message 
  				 ), $user['language_id']);
  		            
       	 			$mail->enableAllLanguagePreCache();
        			$mail->queue($user['email'], $user['username']);
        		}
		}
		
		return $response;
	}
}