<?php
class Brivium_ContactAutoResponder_Installer extends Brivium_BriviumHelper_Installer
{
	protected $_installerType = 2;
	public static function install($existingAddOn, $addOnData)
	{
		self::$_addOnInstaller = __CLASS__;
		if (self::$_addOnInstaller && class_exists(self::$_addOnInstaller))
		{
			$installer = self::create(self::$_addOnInstaller);
			$installer->installAddOn($existingAddOn, $addOnData);
		}
		return true;
	}
	
	public static function uninstall($addOnData)
	{
		self::$_addOnInstaller = __CLASS__;
		if (self::$_addOnInstaller && class_exists(self::$_addOnInstaller))
		{
			$installer = self::create(self::$_addOnInstaller);
			$installer->uninstallAddOn($addOnData);
		}
	}
	
	public function getQueryFinal()
	{
		$query = array();
		if($this->_triggerType != "uninstall"){
			$query[] = "
				REPLACE INTO `xf_brivium_addon` 
					(`addon_id`, `title`, `version_id`, `copyright_removal`, `start_date`, `end_date`) 
				VALUES
					('BR_ContactAutoResponder', 'Brivium - Contact Auto Responder', '1000000', 0, 0, 0);
			";
			$query[] = "
				REPLACE INTO `xf_brivium_listener_class` 
					(`class`, `class_extend`, `event_id`, `addon_id`) 
				VALUES
					('XenForo_ControllerPublic_Misc', 'Brivium_ContactAutoResponder_ControllerPublic_Misc', 'load_class_controller', 'BR_ContactAutoResponder');
			";
		}else{
			$query[] = "
				DELETE FROM `xf_brivium_listener_class` WHERE `addon_id` = 'BR_ContactAutoResponder';
			";
			$query[] = "
				DELETE FROM `xf_brivium_addon` WHERE `addon_id` = 'BR_ContactAutoResponder';
			";
		}
		return $query;
	}
}
?>